; Beat Data File
; ----------------------------------------------------------
;
; There are two beats you can edit (beat1 and beat2).  When 
; you compile
; and run the program, the two difficulty switches turn on
; and off the two beats.  Both beats can be played
; simultaneously.
;
; The beats are made up of 32 numbers (bytes) of note data followed
; by 4 numbers (bytes) of accent data.
;
; Two beats I've programmed are in there. To make your
; own beats, just change the numbers below.  Each of
; the first 32 numbers in the data set
; represents a 32nd note from the beginning of the measure
; to the end.  The four bytes after that determine
; which 32nd notes are accented (louder).
; 
; Note that the percent sign means that you
; are entering a binary number.
;
;
; Note Encoding
; ----------------------------------------------------------
;
; The 32 note numbers are encoded with sound type and pitch.
; I put two 32nd notes per line like this:
;
;	byte %00111000, %00111000
;
; The first three bits (1's and  0's) determine the 
; sound type according to the following table:
;
; 000 Square
; 001 Bass  
; 010 Pitfall
; 011 Noise  
; 100 Buzz   
; 101 Lead   
; 110 Saw    
; 111 Engine 
;
; The remaining 5 bits determine the pitch.
;
; 11111 is a very low pitch
; 00001 us a very high pitch
; 00100 is somewhere in between
;
;
; (!) Note that 255 or %11111111 means no sound (a rest)
;
;
; Some examples:
;
; %00111100 = bass with a low pitch
; %10000010 = buzz sound with a high pitch
; %11100101 = engine sound with a medium pitch
; %11111111 = no sound
;
;
; Accent Encoding
; ----------------------------------------------------------
;
; The four numbers at the end of the beat data 
; that look like this:
;  
;	byte #%10001000, #%10001000, #%10001000, #%10001000
;
; determine which notes are accented.  Good accents can 
; really make a beat a lot better.  Notice there are 
; 32 bits, and conveniently they correspond to each of the 32
; notes.  The way I have it set up above, accents fall on each
; 8th note.  1 = accent (loud), 0 = no accent (no as loud)
; 
; To just make the whole beat quieter, use all zeros:
;
; byte #%00000000, #%00000000, #%00000000, #%00000000
;
; To make the whole beat louder:
;
; byte #%11111111, #%11111111, #%11111111, #%11111111
;
; Here's a strange accent pattern:
;
; byte #%10011001, #%11011011, #%10011001, #%10001111
;
; Have at it!


beat1
	byte %00111000, %00111000
	byte 255,255
	byte %01100001, 255
	byte 255,255

	byte %01100101, 255
	byte 255,255
	byte %01100001, 255
	byte 255,255

	byte %00111000, %00111000
	byte %01100001, 255
	byte %00111000, %00111000
	byte 255, 255

	byte %01100101, 255
	byte 255, 255
	byte %01100001, 255
	byte %01100001, 255

	byte %10001000, %10001000, %10001000, %10001000

beat2
	byte %11111110, 255
	byte 255,255
	byte %01100000,%01100000
	byte 255,255

	byte %11111110, 255
	byte 255,255
	byte %01100000,%01100000
	byte 255,255
	
	byte %11111110, 255
	byte 255,255
	byte %01100000,255
	byte %00000010, %01011111

	byte %11111110, 255
	byte 255,255
	byte %01100000,%01100000
	byte 255,255

	byte %10001000, %10001000, %10001000, %10001000

